Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class CXEvent

    java.lang.Object
      |
      +--oracle.apps.cz.cio.CXEvent

Direct Known Subclasses:
  CXCommandEvent

public class CXEvent
extends java.lang.Object

Field Summary
`static int` | `EVT_ON_COMMAND`
`static int` | `EVT_ON_CONFIG_VALIDATE`
`static int` | `EVT_ON_NODE_LOAD`
`static int` | `EVT_ON_VALIDATE_ELIGIBLE_TARGET`
`static int` | `EVT_POST_CONFIG_INIT`
`static int` | `EVT_POST_CONFIG_NEW`
`static int` | `EVT_POST_CONFIG_RESTORE`
`static int` | `EVT_POST_CONFIG_SAVE`
`static int` | `EVT_POST_CONNECTOR_ASSIGN`
`static int` | `EVT_POST_CONNECTOR_UNASSIGN`
`static int` | `EVT_POST_INSTANCE_ADD`
`static int` | `EVT_POST_INSTANCE_DELETE`
`static int` | `EVT_POST_INSTANCE_NAME_CHANGE`
`static int` | `EVT_POST_NODE_EDITABLE`
`static int` | `EVT_POST_NODE_LOAD`
`static int` | `EVT_POST_NODE_NON_EDITABLE`
`static int` | `EVT_POST_RULE_INIT`
`static int` | `EVT_POST_VALUE_CHANGE`
`static int` | `EVT_PRE_CONFIG_CANCEL`
`static int` | `EVT_PRE_CONFIG_DONE`
`static int` | `EVT_PRE_CONFIG_SAVE`
`static int` | `EVT_PRE_CONFIG_SUMMARY`
`static int` | `EVT_PRE_CONFIG_TERMINATE`
`static int` | `EVT_PRE_RULE_TERMINATE`
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Method Summary
`void` | `addEventParam(java.lang.String name, java.lang.Object value)`
`java.lang.Object` | `getEventParam(java.lang.String name)`
`java.lang.Object` | `removeEventParam(java.lang.String name)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

### EVT_POST_RULE_INIT

    public static final int EVT_POST_RULE_INIT

### EVT_PRE_RULE_TERMINATE

    public static final int EVT_PRE_RULE_TERMINATE

### EVT_ON_CONFIG_VALIDATE

    public static final int EVT_ON_CONFIG_VALIDATE

### EVT_ON_COMMAND

    public static final int EVT_ON_COMMAND

### EVT_ON_VALIDATE_ELIGIBLE_TARGET

    public static final int EVT_ON_VALIDATE_ELIGIBLE_TARGET

### EVT_POST_CONFIG_INIT

    public static final int EVT_POST_CONFIG_INIT

### EVT_POST_CONFIG_NEW

    public static final int EVT_POST_CONFIG_NEW

### EVT_POST_CONFIG_RESTORE

    public static final int EVT_POST_CONFIG_RESTORE

### EVT_POST_CONFIG_SAVE

    public static final int EVT_POST_CONFIG_SAVE

### EVT_POST_INSTANCE_ADD

    public static final int EVT_POST_INSTANCE_ADD

### EVT_POST_INSTANCE_DELETE

    public static final int EVT_POST_INSTANCE_DELETE

### EVT_POST_NODE_EDITABLE

    public static final int EVT_POST_NODE_EDITABLE

### EVT_POST_NODE_NON_EDITABLE

    public static final int EVT_POST_NODE_NON_EDITABLE

### EVT_POST_INSTANCE_NAME_CHANGE

    public static final int EVT_POST_INSTANCE_NAME_CHANGE

### EVT_POST_NODE_LOAD

    public static final int EVT_POST_NODE_LOAD

### EVT_POST_CONNECTOR_ASSIGN

    public static final int EVT_POST_CONNECTOR_ASSIGN

### EVT_POST_CONNECTOR_UNASSIGN

    public static final int EVT_POST_CONNECTOR_UNASSIGN

### EVT_POST_VALUE_CHANGE

    public static final int EVT_POST_VALUE_CHANGE

### EVT_PRE_CONFIG_CANCEL

    public static final int EVT_PRE_CONFIG_CANCEL

### EVT_PRE_CONFIG_DONE

    public static final int EVT_PRE_CONFIG_DONE

### EVT_PRE_CONFIG_SAVE

    public static final int EVT_PRE_CONFIG_SAVE

### EVT_PRE_CONFIG_TERMINATE

    public static final int EVT_PRE_CONFIG_TERMINATE

### EVT_PRE_CONFIG_SUMMARY

    public static final int EVT_PRE_CONFIG_SUMMARY

### EVT_ON_NODE_LOAD

    public static final int EVT_ON_NODE_LOAD

Method Detail

### addEventParam

    public void addEventParam(java.lang.String name,
                              java.lang.Object value)

### getEventParam

    public java.lang.Object getEventParam(java.lang.String name)

### removeEventParam

    public java.lang.Object removeEventParam(java.lang.String name)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.